Get Release By Domain

Get Release By Domain
Retrieve target release view for the specified domain

Get last selected upgrade version for the domain.If the customization matches any of the VCF release payload, the target vcf version is updated. Domain VCF release calculations consider SDDC-M, BOM stack components (life cycle managed by LCM eg: Vcenter, Esx, Nsx) to compute Management domain VCF version, BOM stack components(life cycle managed by LCM) to compute VI domain VCF version respectively. Eg: Management domain component stack versions: [SDDC-M: 5.2.1.0, VC: 8.0U3, NSX:4.2.1.3, ESX: 8.0U3]. VCF version computed will be 5.2.1.0. VI domain component stack versions: [VC: 9.0.0.0, NSX: 9.0.0.0, ESX: 9.0.0.0]. VCF version computed is 9.0.0.0 for VI domain.

Request
URI
GET
https://{api_host}/v1/releases/domains/{domainId}
COPY
Path Parameters
string
domainId
Required  

Domain ID to get target version of the domain

domainId example
9ab78840-ee25-11e8-a8fc-d71c338107bd

Responses
200

Ok

Returns DomainReleaseView of type(s) application/json
{
    "domainId": "string",
    "targetVersion": "string",
    "targetSddcManagerVersion": "string",
    "patches": [
        {
            "productType": "One among: SDDC_MANAGER, ESX, VCENTER, NSX",
            "version": "string"
        }
    ],
    "isCustomizedBom": true,
    "upgradeSequence": {
        "optimizedMaintenanceWindow": false
    }
}
string
domainId
Required  
Constraints: minLength: 1

Domain ID

string
targetVersion
Required  
Constraints: minLength: 1

Target upgrade version of the domain

string
targetSddcManagerVersion
Optional

Target SDDC Manager version

array of object
patches
Optional

Target product release and patch versions

boolean
isCustomizedBom
Read-Only  

Identifier for VCF Release vs Customized BOM

object
upgradeSequence
Optional

Upgrade Sequence


404

Domain not found

Returns Error of type(s) application/json
{
    "errorCode": "string",
    "errorType": "string",
    "arguments": [
        "string"
    ],
    "context": {
        "context": "string"
    },
    "notifications": [
        {
            "severity": "string",
            "message": "string",
            "remediations": [
                {
                    "message": "string",
                    "link": "string"
                }
            ],
            "impactMessage": "string"
        }
    ],
    "message": "string",
    "remediationMessage": "string",
    "causes": [
        {
            "type": "string",
            "message": "string"
        }
    ],
    "nestedErrors": [
        {
            "errorCode": "string",
            "errorType": "string",
            "arguments": [
                "string"
            ],
            "context": {
                "context": "string"
            },
            "notifications": [
                {
                    "severity": "string",
                    "message": "string",
                    "remediations": [
                        {
                            "message": "string",
                            "link": "string"
                        }
                    ],
                    "impactMessage": "string"
                }
            ],
            "message": "string",
            "remediationMessage": "string",
            "causes": [
                {
                    "type": "string",
                    "message": "string"
                }
            ],
            "nestedErrors": [
                "Error Object"
            ],
            "referenceToken": "string",
            "label": "string",
            "remediationUrl": "string"
        }
    ],
    "referenceToken": "string",
    "label": "string",
    "remediationUrl": "string"
}
string
errorCode
Read-Only  

The minor error code

string
errorType
Read-Only  

The error type

array of string
arguments
Read-Only  

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Read-Only  

The error context (e.g. the component where it occurred).

array of object
notifications
Read-Only  

Detailed results of the precheck validation.

string
message
Read-Only  

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of object
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Read-Only  

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.

string
label
Read-Only  

The localized label message

string
remediationUrl
Read-Only  

The URL string for remediation documentation link


500

Internal Server Error

Returns Error of type(s) application/json
"Error Object"
string
errorCode
Read-Only  

The minor error code

string
errorType
Read-Only  

The error type

array of string
arguments
Read-Only  

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Read-Only  

The error context (e.g. the component where it occurred).

array of object
notifications
Read-Only  

Detailed results of the precheck validation.

string
message
Read-Only  

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of Error
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Read-Only  

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.

string
label
Read-Only  

The localized label message

string
remediationUrl
Read-Only  

The URL string for remediation documentation link


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/v1/releases/domains/{domainId}